About adaptive_widgets

A (small) collection of Widgets that automatically detect the current platform and adapt to it.

This package is very early in development, it features just a few adaptive widgets.

The widgets included works nicely, although they may or may not include all the customization options available in the Material or Cupertino counterparts.

Features

It currently is in a very early stage of development.

It supports the following platforms:

  • iOS
  • macOS
  • Android

It includes the following widgets:

  • AdaptiveScaffold
  • AdaptiveIconButton
  • AdaptiveTextField

More widgets will be added in the future.

Usage

With Flutter:

$ flutter pub add appandup_adaptive_widgets

This will add a line like this to your package's pubspec.yaml (and run an implicit flutter pub get):

dependencies:
  appandup_adaptive_widgets: ^0.0.2

Alternatively, your editor might support or flutter pub get. Check the docs for your editor to learn more.

##Import it

Now in your Dart code, you can use:

import 'package:appandup_adaptive_widgets/appandup_adaptive_widgets.dart';

Libraries

appandup_adaptive_widgets